#!/bin/csh -f
 

start:
set name = hhtk_GDP_
set last = 26
set cycles = 1
set count = 0
#
set title  = ' hhtk_w1_2.2'

set data = 'E1_2.2_combined_free.mtz'
#
while ($count != $cycles)
echo '*******************************************************************'
echo  $count
echo '*******************************************************************'
@ curr = $last + 1

#
refmac:
refmac5 \
#refmac \
HKLIN  $data \
HKLOUT   ${name}${curr}.mtz \
XYZIN    ${name}${last}.pdb \
XYZOUT   ${name}${curr}.pdb \
LIB_IN refmac5_hhtk_lib.cif \
<< eor
#
#####   Makecif parameters
#       Do not define links automatically
#       Do not add hydrogens
MAKE LINK Y
MAKE HYDR N
#
#   Use NCS. 
# NONX NCHAIns 6 CHNID A B C D E F NSPANS 1 12 72 5
#
#   Input mtz labels
#
#
MAKE HYDRogens No
#
#   Labels of input mtz file
#
LABIN FP=F_w1 SIGFP=SIGF_w1  FREE=FreeR_flag
#
#   Labels of output mtz file
#
#
#   Output mtz labels
#
LABO FC=FC PHIC=PHIC  FWT=2FOFCWT DELFWT=FOFCWT
#
#   Parameters of bulk solvent based on constant value. They are default 
#
SOLVENT VDWP 1.4 IONP 0.80 RSHR 0.8
#
#  Weignting X-ray and geometry. Fairly tight restrants
#  smaller values give tighter geometry
# WEIG MATR 0.05
# WEIG MATR 0.08
WEIG MATR 0.12
#
#   This keyword says program that use 20 cycles of tls before
#   going to individual atomic reifnement. Parameters of rigid 
#   body groups are defined in TLSIN tls.in
# 
# 
# REFI TLSC 5
#
#  It is good idea to set all B values to some value prior to 
#  TLS refinement
#
#
# 
# BFACtor SET_to 35
#
#   Use restrained refinement after TLS. Reflections between 20 and 2.05
#   will be used
#
# 
# 
# 
# Use all the data:
REFInement TYPE RESTrained RESOLUTION  55.728 2.200
#  
# 
#
#REFI TYPE IDEAL
#
#   Maximum likelihood refinement
#
# 
 REFInement RESIdual MLKF
#
#   After TLS use istotropic B values refinement. In very low resolution
#   it could be set to Overall B value refinement
#
REFInement BREFinement ISOTropic
#
#   Damp down shifts
DAMP 0.5 0.5
#
#   First and last cycles will print information about outliers
#   In all other cycles only overall statistics will be monitorred
#
MONI MEDI
#
#   Fix Babinet's bulk B value to 200.0. Usually it stabilises refinement
#
SCALE LSSCale FIXBulk  BBULk 200
#
#   Use Aanitoropic scaling. It is default
#
SCAL LSSC ANISOT
#
#   Use Babinet's bulk solvent also.
SCAL TYPE BULK
#
#   Number of individual atomic refinement 8
NCYC 25
eor
if ($status) exit
#
@ last++
@ count++
end

